# Get a URL Group

> Retrieve details of a specific URL Group

## Endpoint

`GET https://qstash-{region}.upstash.io/v2/topics/{urlGroupName}`

## Parameters

- `urlGroupName` (path, string, required): The name of the URL Group to retrieve.

## Responses

### 200

- `name` (string): URL Group name
- `createdAt` (integer): Creation timestamp of URL Group in Unix milliseconds
- `updatedAt` (integer): Last update timestamp of URL Group in Unix milliseconds
- `endpoints` (object[])
  - `name` (string): The name of the endpoint
  - `url` (string): The URL of the endpoint

### 404 - URL Group not found

- `error` (string, required): Error message

## cURL

```bash
curl --request GET \
  --url https://qstash-{region}.upstash.io/v2/topics/{urlGroupName} \
  --header 'Authorization: Bearer <token>'
```
